## org.hibernate.testing.junit4
Class ClassLoadingIsolater

    java.lang.Object
      org.hibernate.testing.junit4.ClassLoadingIsolater

All Implemented Interfaces:
  org.junit.rules.MethodRule

    public class ClassLoadingIsolater

extends Object
implements org.junit.rules.MethodRule

Nested Class Summary
`static interface` `ClassLoadingIsolater.IsolatedClassLoaderProvider`

Constructor Summary
`ClassLoadingIsolater(ClassLoadingIsolater.IsolatedClassLoaderProvider provider)`

Method Summary
`org.junit.runners.model.Statement` `apply(org.junit.runners.model.Statement base, org.junit.runners.model.FrameworkMethod method, Object target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoadingIsolater

    public ClassLoadingIsolater(ClassLoadingIsolater.IsolatedClassLoaderProvider provider)

Method Detail

### apply

    public org.junit.runners.model.Statement apply(org.junit.runners.model.Statement base,
                                                   org.junit.runners.model.FrameworkMethod method,
                                                   Object target)

  Specified by:
    `apply` in interface `org.junit.rules.MethodRule`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.